//+------------------------------------------------------------------+ 
//|                                        II_Dynamic_Range_Dots.mq4 | 
//|                            Copyright  2010, Insanity Industries |
//|                                http://www.insanityindustries.net |
//| v 1.0 20/11/10
//+------------------------------------------------------------------+
#property copyright "Insanity Industries" 
#property link      "http://insanityindustries.net" 

#property indicator_chart_window 
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue

extern int iPeriods  = 12;

double DynR[];
double DynS[];

string pair, ShortName ;  
int digits, tf, max; 
double point;

int init(){
   SetIndexBuffer(0,DynR); 
   SetIndexEmptyValue(0,0.0); 
   SetIndexStyle(0,DRAW_ARROW); 
   SetIndexArrow(0,119);
   SetIndexBuffer(1,DynS); 
   SetIndexEmptyValue(1,0.0); 
   SetIndexStyle(1,DRAW_ARROW); 
   SetIndexArrow(1,119);
   tf=Period();
   pair=Symbol();
   point=Point;
   if(digits == 5 || digits == 3) point*=10;
   max = Bars;
   ShortName = "II_Dynamic_Range_Dots" ;
   DoLogo();
   return(0);
}

int deinit()
{
   return(0);
}
  
int start(){ 
   int counted_bars=IndicatorCounted();
   if(counted_bars < 0) return(-1);
   int limit=Bars-counted_bars;
   int processBars=MathMin(limit, max);
   for(int i=processBars;i>=0;i--){ 
      DynR[i] = High[iHighest(pair,tf,MODE_HIGH,iPeriods,i)];
      DynS[i] = Low[iLowest(pair,tf,MODE_LOW,iPeriods,i)];
   }
return(0); 
} 

void DoLogo(){
   string TAG = CharToStr(0x61+27)+"II_Logo";
   if( ObjectFind(TAG+"ZZ"+0) >= 0 && ObjectFind(TAG+"ZZ"+1) >= 0 && ObjectFind(TAG+"ZZ"+2) >= 0  && 
       ObjectFind(TAG+"AZ"+0) >= 0 && ObjectFind(TAG+"AZ"+1) >= 0 && ObjectFind(TAG+"AZ"+2) >= 0 ) return;
   string str[3] = {"$","Insanity","Industries"};
   int size[3] = {25,10,10};
   int pos_x[3] = {47,19,17};
   int pos_y[3] = {10,25,15};
   int pos_xs[3] = {46,18,16};
   int pos_ys[3] = {9,24,14};
   for(int i=0;i<3;i++){
      string n = TAG+"ZZ"+i;
      ObjectDelete(n);
      ObjectCreate(n,OBJ_LABEL,0,0,0);
      ObjectSetText(n,str[i],size[i],"Pieces Of Eight",AliceBlue);
      ObjectSet(n,OBJPROP_XDISTANCE,pos_x[i]);
      ObjectSet(n,OBJPROP_YDISTANCE,pos_y[i]);
      ObjectSet(n,OBJPROP_CORNER,3);
      n = TAG+"AZ"+i;
      ObjectDelete(n);
      ObjectCreate(n,OBJ_LABEL,0,0,0);
      ObjectSetText(n,str[i],size[i],"Pieces Of Eight",Black);
      ObjectSet(n,OBJPROP_XDISTANCE,pos_xs[i]);
      ObjectSet(n,OBJPROP_YDISTANCE,pos_ys[i]);
      ObjectSet(n,OBJPROP_CORNER,3);
}  }


